/*
 * IConversionRRG.h
 *
 *  Created on: 19. 4. 2014
 *      Author: tomas
 */

#ifndef __ICONVERSIONRRG_H__
#define __ICONVERSIONRRG_H__

#include "Conversion.h"

#include <grammar/Regular/RightRegularGrammar.h>

namespace conversions
{

/**
 * Interface for conversion to right regular grammar.
 */
class IConversionRRG : public Conversion
{
public:
    /**
     * @return rrg equivalent to input.
     */
    virtual grammar::RightRegularGrammar convert( void ) = 0;

    virtual ~IConversionRRG( void );

};

} /* namespace conversions */

#endif /* __ICONVERSIONRRG_H__ */
