/*
 * Hexavigesimal.cpp
 *
 *  Created on: 19. 4. 2014
 *      Author: tomas
 */

#include "Hexavigesimal.h"

using namespace std;

namespace conversions
{

string toBase26( int id )
{
    // http://en.wikipedia.org/wiki/Hexavigesimal

    unsigned int n = id;
    string name;
    do
    {
        unsigned int remainder = n % 26;
        name += ( char )( remainder + 'A' );
        n = (n - remainder) / 26;
    } while (n > 0);

    return string( name.rbegin( ), name.rend( ) );
}

} /* namespace conversions */
